org.apache.lucene.index

## Class CheckIndex.Status

- java.lang.Object
- - org.apache.lucene.index.CheckIndex.Status

Enclosing class:
  CheckIndex

    public static class CheckIndex.Status
    extends Object

Returned from `CheckIndex.checkIndex()` detailing the health and status of the index.

WARNING: This API is experimental and might change in incompatible ways in the next release.

### Nested Class Summary

Nested Classes
`static class` `CheckIndex.Status.DocValuesStatus` Status from testing DocValues
`static class` `CheckIndex.Status.FieldInfoStatus` Status from testing field infos.
`static class` `CheckIndex.Status.FieldNormStatus` Status from testing field norms.
`static class` `CheckIndex.Status.IndexSortStatus` Status from testing index sort
`static class` `CheckIndex.Status.LiveDocStatus` Status from testing livedocs
`static class` `CheckIndex.Status.PointsStatus` Status from testing PointValues
`static class` `CheckIndex.Status.SegmentInfoStatus` Holds the status of each segment in the index.
`static class` `CheckIndex.Status.StoredFieldStatus` Status from testing stored fields.
`static class` `CheckIndex.Status.TermIndexStatus` Status from testing term index.
`static class` `CheckIndex.Status.TermVectorStatus` Status from testing stored fields.

### Field Summary

Fields
`boolean` `clean` True if no problems were found with the index.
`Directory` `dir` Directory index is in.
`long` `maxSegmentName` The greatest segment name.
`boolean` `missingSegments` True if we were unable to locate and load the segments_N file.
`int` `numBadSegments` How many bad segments were found.
`int` `numSegments` Number of segments in the index.
`boolean` `partial` True if we checked only specific segments (`CheckIndex.checkIndex(List)`) was called with non-null argument).
`List<CheckIndex.Status.SegmentInfoStatus>` `segmentInfos` List of `CheckIndex.Status.SegmentInfoStatus` instances, detailing status of each segment.
`List<String>` `segmentsChecked` Empty unless you passed specific segments list to check as optional 3rd argument.
`String` `segmentsFileName` Name of latest segments_N file in the index.
`boolean` `toolOutOfDate` True if the index was created with a newer version of Lucene than the CheckIndex tool.
`int` `totLoseDocCount` How many documents will be lost to bad segments.
`Map<String,String>` `userData` Holds the userData of the last commit in the index
`boolean` `validCounter` Whether the SegmentInfos.counter is greater than any of the segments' names.

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### clean

    public boolean clean

True if no problems were found with the index.

#### missingSegments

    public boolean missingSegments

True if we were unable to locate and load the segments_N file.

#### segmentsFileName

    public String segmentsFileName

Name of latest segments_N file in the index.

#### numSegments

    public int numSegments

Number of segments in the index.

#### segmentsChecked

    public List<String> segmentsChecked

Empty unless you passed specific segments list to check as optional 3rd argument.

See Also:
  `CheckIndex.checkIndex(List)`

#### toolOutOfDate

    public boolean toolOutOfDate

True if the index was created with a newer version of Lucene than the CheckIndex tool.

#### segmentInfos

    public List<CheckIndex.Status.SegmentInfoStatus> segmentInfos

List of `CheckIndex.Status.SegmentInfoStatus` instances, detailing status of each segment.

#### dir

    public Directory dir

Directory index is in.

#### totLoseDocCount

    public int totLoseDocCount

How many documents will be lost to bad segments.

#### numBadSegments

    public int numBadSegments

How many bad segments were found.

#### partial

    public boolean partial

True if we checked only specific segments (`CheckIndex.checkIndex(List)`) was called with non-null argument).

#### maxSegmentName

    public long maxSegmentName

The greatest segment name.

#### validCounter

    public boolean validCounter

Whether the SegmentInfos.counter is greater than any of the segments' names.

#### userData

    public Map<String,String> userData

Holds the userData of the last commit in the index